import random

def build(length):
    xs = []
    for v in range(length):
        xs.append(v)

    for _ in range(length):
        i = random.randint(0,length-1)
        xs[i] = random.randint(1,length//2)

    return sorted(xs)

def binary_search(v,xs):
    left = 0
    right = len(xs)
    while right - left >= 1:
        middle = (left + right) // 2
        if v == xs[middle]:
            return True
        elif v < xs[middle]:
            right = middle - 1
        else:
            left = middle + 1
    return False
    
def do_a_search(xs):
    return binary_search(random.randint(0,len(xs)),xs)
